Bug 544314 - yum check-update && yum upgrade doesn't upgrade packages
Summary: yum check-update && yum upgrade doesn't upgrade packages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades
Version: 530
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Tomas Lestach
URL:
Whiteboard: Fixed in the 5.4.0 Release - GA'd 201...
: 526649 (view as bug list)
Depends On:
Blocks: sat540-upgrades
TreeView+ depends on / blocked
 
Reported: 2009-12-04 15:12 UTC by Tomas Lestach
Modified: 2012-04-02 11:47 UTC (History)
2 users (show)

Fixed In Version: rhn-upgrade-5.4.0.5-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-28 15:03:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Tomas Lestach 2009-12-04 15:12:54 UTC
Description of problem:

Upgrade scenario
/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1b.txt
Step 6:
6. Update the RHN Satellite (connected RHN Satellites only):
   up2date -p && up2date -uf (on 4AS)
   yum check-update && yum upgrade (on 5 Server or 5 Client)
doesn't upgrade packages on RHEL5

Version-Release number of selected component (if applicable):
rhn-upgrade-5.3.0.24-1.el5sat.noarch

How reproducible:
always

Steps to Reproduce:

1. # yum check-update && yum upgrade
Loaded plugins: rhnplugin, security
Skipping security plugin, no data

spacewalk-base.noarch  0.5.23-29.el5sat  redhat-rhn-satellite-5.3-server-x86_64-5
spacewalk-base-minimal.noarch
                       0.5.23-29.el5sat  redhat-rhn-satellite-5.3-server-x86_64-5
spacewalk-cypress.noarch
                       0.5.23-29.el5sat  redhat-rhn-satellite-5.3-server-x86_64-5
spacewalk-grail.noarch 0.5.23-29.el5sat  redhat-rhn-satellite-5.3-server-x86_64-5
spacewalk-html.noarch  0.5.23-29.el5sat  redhat-rhn-satellite-5.3-server-x86_64-5
spacewalk-java.noarch  0.5.44-50.el5sat  redhat-rhn-satellite-5.3-server-x86_64-5
spacewalk-java-config.noarch
                       0.5.44-50.el5sat  redhat-rhn-satellite-5.3-server-x86_64-5
spacewalk-java-lib.noarch
                       0.5.44-50.el5sat  redhat-rhn-satellite-5.3-server-x86_64-5
spacewalk-moon.noarch  0.5.23-29.el5sat  redhat-rhn-satellite-5.3-server-x86_64-5
spacewalk-pxt.noarch   0.5.23-29.el5sat  redhat-rhn-satellite-5.3-server-x86_64-5
spacewalk-sniglets.noarch
                       0.5.23-29.el5sat  redhat-rhn-satellite-5.3-server-x86_64-5
spacewalk-taskomatic.noarch
                       0.5.44-50.el5sat  redhat-rhn-satellite-5.3-server-x86_64-5

2.# echo $?
100

(nothing was upgraded)

3. 
# yum check-update > /dev/null; echo $?
100

Actual results:
Packages were not upgraded. 2nd command (after &&) wasn't called at all.

Expected results:
If there're packages to upgrade, they should be upgraded.

Additional info:
Make sure, if the 4AS variant behaves correctly or the same:
up2date -p && up2date -uf

Comment 1 Milan Zázrivec 2010-08-26 12:34:35 UTC
Now the instructions say: yum check-update; [ $? -gt 0 ] && yum upgrade

satellite.git: b4a1f58b6399e740bf760f75e1b1a713347811e5

Comment 2 Tomas Lestach 2010-10-06 09:34:29 UTC
/etc/sysconfig/rhn/satellite-upgrade/satellite-upgrade.txt contains:
----------------------------------------------------------------
5. Update the RHN Satellite (connected RHN Satellites only):

    yum check-update; [ $? -gt 0 ] && yum upgrade
----------------------------------------------------------------

Execution of this command offers installation of upgradeable packages:
...
Transaction Summary
==========================================================================================
Install      45 Package(s)
Upgrade     120 Package(s)

Total download size: 224 M
Is this ok [y/N]: 

Previous version didn't offer the installation.

VERIFIED with version rhn-upgrade-5.4.0.7-1.el5sat on Satellite-5.4.0-RHEL5-re20101001.1

Comment 3 Clifford Perry 2010-10-28 15:03:39 UTC
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford

Comment 4 Milan Zázrivec 2012-04-02 11:47:44 UTC
*** Bug 526649 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.